Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - OpenProxyAnalysis

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Open Proxy Analysis

Open Proxy Specification validation and analysis.

Analyze Open Proxy Specification for existing API version

Analyze new Open Proxy Specification for an existing API version. Returns any errors or warnings found, as well as the API details, if possible. This endpoints takes the existing Control Plane API into account and adds warnings, if its details differ from the ones in the Open Proxy Specification.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

name
required
string
Request Body schema: multipart/form-data
openProxySpec
required
string <binary>

Responses

Response Schema: application/json
errors
required
Array of strings

Errors that prevent deployment.

warnings
required
Array of strings

Warnings that may affect deployment.

object (OpenProxyAnalysisAPIInfo)

Extracted API information from the spec.

Response samples

Content type
application/json
{
  • "errors": [
    • "string"
    ],
  • "warnings": [
    • "string"
    ],
  • "apiInfo": {
    • "name": "string",
    • "version": "string",
    • "displayName": "string",
    • "description": "string",
    • "type": "REST"
    }
}

Analyze Open Proxy Specification for new API version

Analyze Open Proxy Specification and (optionally) OpenAPI file. Returns any errors or warnings found, as well as the API details, if possible. This endpoints takes the existing Control Plane API into account and adds warnings, if its details (name, versions, ...) differ from the ones in the Open Proxy Specification.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: multipart/form-data
openProxySpec
required
string <binary>
openAPI
string <binary>

Responses

Response Schema: application/json
errors
required
Array of strings

Errors that prevent deployment.

warnings
required
Array of strings

Warnings that may affect deployment.

object (OpenProxyAnalysisAPIInfo)

Extracted API information from the spec.

Response samples

Content type
application/json
{
  • "errors": [
    • "string"
    ],
  • "warnings": [
    • "string"
    ],
  • "apiInfo": {
    • "name": "string",
    • "version": "string",
    • "displayName": "string",
    • "description": "string",
    • "type": "REST"
    }
}

Analyze Open Proxy Specification for new API

Analyze Open Proxy Specification and (optionally) OpenAPI file. Returns any errors or warnings found, as well as the API details, if possible.

Authorizations:
bearerAuth
Request Body schema: multipart/form-data
openProxySpec
required
string <binary>
openAPI
string <binary>

Responses

Response Schema: application/json
errors
required
Array of strings

Errors that prevent deployment.

warnings
required
Array of strings

Warnings that may affect deployment.

object (OpenProxyAnalysisAPIInfo)

Extracted API information from the spec.

Response samples

Content type
application/json
{
  • "errors": [
    • "string"
    ],
  • "warnings": [
    • "string"
    ],
  • "apiInfo": {
    • "name": "string",
    • "version": "string",
    • "displayName": "string",
    • "description": "string",
    • "type": "REST"
    }
}

Analyze Open Proxy Specification in git repository

Scan a git repository for Open Proxy Specification files and analyze each one found. Returns errors and warnings per version, as well as the API details extracted from the specifications.

Authorizations:
bearerAuth
Request Body schema: application/json
required
gitCredential
required
string <uuid>

UUID of the git credential to use for repository access.

gitUrl
required
string

URL of the git repository to analyze.

Responses

Response Schema: application/json
errors
required
Array of strings

Errors encountered during the repository analysis.

skippedVersions
required
Array of strings

List of versions (git tags) that were not scanned / imported because they have already been imported and the git tag still points to the same git commit. This field is not relevant during the initial scan of a repository, as nothing has been imported, yet.

required
Array of objects (OpenProxyGitVersion)

List of all API versions that were found in / imported from the repository.

warnings
required
Array of strings

Warnings encountered during the repository analysis.

Request samples

Content type
application/json
{
  • "gitUrl": "git@github.com:test/my-repo.git",
  • "gitCredential": 1
}

Response samples

Content type
application/json
{
  • "errors": [
    • "string"
    ],
  • "warnings": [
    • "string"
    ],
  • "versions": [
    • {
      }
    ],
  • "skippedVersions": [
    • "string"
    ]
}